Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.validator
Class RichFacesBeanValidatorFactory

    java.lang.Object
      org.richfaces.validator.RichFacesBeanValidatorFactory

All Implemented Interfaces:
  org.richfaces.validator.BeanValidatorFactory

    public class RichFacesBeanValidatorFactory

extends Object
implements org.richfaces.validator.BeanValidatorFactory

Author:
  asmirnov

Constructor Summary
`RichFacesBeanValidatorFactory()`

Method Summary
`Validator` | `getValidator(javax.faces.context.FacesContext context)`
`void` | `init()`
`javax.faces.application.FacesMessage` | `interpolateMessage(javax.faces.context.FacesContext context, constrain)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RichFacesBeanValidatorFactory

    public RichFacesBeanValidatorFactory()

Method Detail

### init

    public void init()
              throws InitializationException

  Throws:
    `InitializationException`

### getValidator

    public Validator getValidator(javax.faces.context.FacesContext context)

  Specified by:
    `getValidator` in interface `org.richfaces.validator.BeanValidatorFactory`

### interpolateMessage

    public javax.faces.application.FacesMessage interpolateMessage(javax.faces.context.FacesContext context,
                                                                    constrain)

  Specified by:
    `interpolateMessage` in interface `org.richfaces.validator.BeanValidatorFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.